drop if exists table person;
drop if exists table room;
drop if exists table room2person;


create table person ( pid int not null, pname string(30));
create table room ( rid int not null, rname string(30));

create table room2person ( pid int not null, rid int not null );
create primary btree on room2person ( pid, rid);

insert into person values ( 1, 'lemke');
insert into person values ( 2, 'hugo');

insert into room values ( 1, 'living');

insert into room2person values ( 1, 1);
insert into room2person values ( 2, 1);


delete from room2person where pid = ( select pid from person where pname = 'lemke' ) and rid = ( select rid from room where rname = 'living');


